From: Colin Watson <cjwatson@debian.org>
Date: Tue, 4 Mar 2025 10:13:55 +0000
Subject: Fix tests with Click 8.2

https://github.com/pallets/click/pull/2523 introduced changes to
`click.testing` that broke a few unit tests in Flasgger:
`mix_stderr=False` is now effectively the default and can no longer be
specified explicitly.  Although this Click version hasn't been fully
released yet, this adjusts Flasgger to work with both old and new
versions.

Forwarded: https://github.com/flasgger/flasgger/pull/633
Bug-Debian: https://bugs.debian.org/1098599
Last-Update: 2025-03-04
---
 tests/conftest.py | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/tests/conftest.py b/tests/conftest.py
index bb83d68..5acb492 100644
--- a/tests/conftest.py
+++ b/tests/conftest.py
@@ -1,7 +1,9 @@
+import inspect
 import json
 import random
 
 import pytest
+from click.testing import CliRunner
 from flasgger import Swagger
 from flasgger.utils import get_examples
 
@@ -99,4 +101,8 @@ def app():
 
 @pytest.fixture(scope="function")
 def cli_runner(app):
-    yield app.test_cli_runner(mix_stderr=False)
+    kwargs = {}
+    if "mix_stderr" in inspect.signature(CliRunner).parameters:
+        # click < 8.2
+        kwargs["mix_stderr"] = False
+    yield app.test_cli_runner(**kwargs)
